QDragEnterEvent(3qt)

NAME
QDragEnterEvent - Event which is sent to the widget when a drag and drop first drags onto the widget

SYNOPSIS
#include <qevent.h>

Inherits QDragMoveEvent.

  Public Members
QDragEnterEvent ( const QPoint & pos )

DESCRIPTION
The QDragEnterEvent class provides an event which is sent to the widget when a drag and drop first drags onto the widget.

This event is always immediately followed by a QDragMoveEvent, so you only need to respond to one or the other event. This class inherits most of its functionality from QDragMoveEvent, which in turn inherits most of its functionality from QDropEvent.

See also QDragLeaveEvent, QDragMoveEvent, QDropEvent, Drag And Drop Classes, and Event Classes.

MEMBER FUNCTION DOCUMENTATION

QDragEnterEvent::QDragEnterEvent ( const QPoint & pos )
Constructs a QDragEnterEvent entering at the given point, pos.

Warning: Do not create a QDragEnterEvent yourself since these objects rely on Qt's internal state.

SEE ALSO
http://doc.trolltech.com/qdragenterevent.html http://www.trolltech.com/faq/tech.html

COPYRIGHT
Copyright 1992-2007 Trolltech ASA, http://www.trolltech.com. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.

BUGS
If you find a bug in Qt, please report it as described in http://doc.trolltech.com/bughowto.html. Good bug reports help us to help you. Thank you.

The definitive Qt documentation is provided in HTML format; it is located at $QTDIR/doc/html and can be read using Qt Assistant or with a web browser. This man page is provided as a convenience for those users who prefer man pages, although this format is not officially supported by Trolltech.

If you find errors in this manual page, please report them to qt-bugs@trolltech.com. Please include the name of the manual page (qdragenterevent.3qt) and the Qt version (3.3.8).